package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallGoodsSpecValueMapper;
import com.ruoyi.mall.domain.MallGoodsSpecValue;
import com.ruoyi.mall.service.IMallGoodsSpecValueService;

/**
 * 商品规格值Service业务层处理
 * 
 * @author chang
 * @date 2021-11-25
 */
@Service
public class MallGoodsSpecValueServiceImpl implements IMallGoodsSpecValueService 
{
    @Autowired
    private MallGoodsSpecValueMapper mallGoodsSpecValueMapper;

    /**
     * 查询商品规格值
     * 
     * @param id 商品规格值主键
     * @return 商品规格值
     */
    @Override
    public MallGoodsSpecValue selectMallGoodsSpecValueById(Long id)
    {
        return mallGoodsSpecValueMapper.selectMallGoodsSpecValueById(id);
    }

    /**
     * 查询商品规格值列表
     * 
     * @param mallGoodsSpecValue 商品规格值
     * @return 商品规格值
     */
    @Override
    public List<MallGoodsSpecValue> selectMallGoodsSpecValueList(MallGoodsSpecValue mallGoodsSpecValue)
    {
        return mallGoodsSpecValueMapper.selectMallGoodsSpecValueList(mallGoodsSpecValue);
    }

    /**
     * 新增商品规格值
     * 
     * @param mallGoodsSpecValue 商品规格值
     * @return 结果
     */
    @Override
    public int insertMallGoodsSpecValue(MallGoodsSpecValue mallGoodsSpecValue)
    {
        return mallGoodsSpecValueMapper.insertMallGoodsSpecValue(mallGoodsSpecValue);
    }

    /**
     * 修改商品规格值
     * 
     * @param mallGoodsSpecValue 商品规格值
     * @return 结果
     */
    @Override
    public int updateMallGoodsSpecValue(MallGoodsSpecValue mallGoodsSpecValue)
    {
        return mallGoodsSpecValueMapper.updateMallGoodsSpecValue(mallGoodsSpecValue);
    }

    /**
     * 批量删除商品规格值
     * 
     * @param ids 需要删除的商品规格值主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsSpecValueByIds(Long[] ids)
    {
        return mallGoodsSpecValueMapper.deleteMallGoodsSpecValueByIds(ids);
    }

    /**
     * 删除商品规格值信息
     * 
     * @param id 商品规格值主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsSpecValueById(Long id)
    {
        return mallGoodsSpecValueMapper.deleteMallGoodsSpecValueById(id);
    }
}
